Jump to content

Module:Message box/cmbox.css: Difference between revisions

From RetroTechCollection
m 1 revision imported
RetroTechCollection>Izno
english
Line 1: Line 1:
/**
/* {{pp|small=y}} */
* {{cmbox}} (category message box) styles
.cmbox {
*
margin: 3px 0;
* @source https://www.mediawiki.org/wiki/MediaWiki:Gadget-enwp-boxes.css
* @revision 2021-07-15
*/
table.cmbox {
margin: 3px 10%;
border-collapse: collapse;
border-collapse: collapse;
border: 1px solid var(--border-color-base, #a2a9b1);
border: 1px solid #a2a9b1;
/* Default "notice" blue */
background-color: #dfe8ff;   /* Default "notice" blue */
background-color: #dfe8ff;
/* temp fix for dark mode */
color: #222;
box-sizing: border-box;
box-sizing: border-box;
    /* necessary when embedded in other templates like [[:Category:Pending_AfC_submissions]] */
color: var( --color-base );
}
}


/* An empty narrow cell */
.cmbox-speedy {
.cmbox td.mbox-empty-cell {
border: 4px solid #b32424;    /* Red */
border: none;
background-color: #ffdbdb;    /* Pink */
padding: 0;
}
width: 1px;
 
.cmbox-delete {
background-color: #ffdbdb;    /* Pink */
}
 
.cmbox-content {
background-color: #ffe7ce;    /* Orange */
}
 
.cmbox-style {
background-color: #fff9db;   /* Yellow */
}
 
.cmbox-move {
background-color: #e4d8ff;   /* Purple */
}
 
.cmbox-protection {
background-color: #efefe1;   /* Gray-gold */
}
}


/* The message body cell(s) */
.cmbox .mbox-text {
.cmbox th.mbox-text,
.cmbox td.mbox-text {
border: none;
border: none;
/* 0.9em left/right */
/* @noflip */
padding: 0.25em 0.9em;
padding: 0.25em 0.9em;
/* Make all mboxes the same width regardless of text length */
width: 100%;
width: 100%;
}
}


/* The left image cell */
.cmbox .mbox-image {
.cmbox td.mbox-image {
border: none;
/* 0.9em left, 0px right */
/* @noflip */
/* @noflip */
padding: 2px 0 2px 0.9em;
padding: 2px 0 2px 0.9em;
text-align: center;
}
}


/* The right image cell */
.cmbox .mbox-imageright {
.cmbox td.mbox-imageright {
border: none;
/* 0px left, 0.9em right */
/* @noflip */
/* @noflip */
padding: 2px 0.9em 2px 0;
padding: 2px 0.9em 2px 0;
text-align: center;
}
}


table.cmbox-notice {
/* An empty narrow cell */
/* Blue */
.cmbox .mbox-empty-cell {
background-color: #d8e8ff;
border: none;
}
padding: 0;
 
width: 1px;
table.cmbox-speedy {
margin-top: 4px;
margin-bottom: 4px;
/* Red */
border: 4px solid #b32424;
}
}


table.cmbox-delete,
/* keep synced with each other type of message box as this isn't qualified */
table.cmbox-speedy {
.mbox-invalid-type {
/* Pink */
text-align: center;
background-color: #ffdbdb;
}
}


table.cmbox-content {
@media (min-width: 720px) {
/* Orange */
.cmbox {
background-color: #ffe7ce;
margin: 3px 10%;
}
}
}


table.cmbox-style {
/* flipped lightness in hsl space except the main cmbox is the main page blue */
/* Yellow */
background-color: #fff9db;
}


table.cmbox-move {
@media screen {
/* Purple */
    html.skin-theme-clientpref-night .cmbox {
background-color: #e4d8ff;
background-color: #0d1a27;    /* Default "notice" blue */
}
html.skin-theme-clientpref-night .cmbox-speedy,
html.skin-theme-clientpref-night .cmbox-delete {
background-color: #300;    /* Pink */
}
html.skin-theme-clientpref-night .cmbox-content {
background-color: #331a00;    /* Orange */
}
html.skin-theme-clientpref-night .cmbox-style {
background-color: #332b00;    /* Yellow */
}
html.skin-theme-clientpref-night .cmbox-move {
background-color: #08001a;    /* Purple */
}
html.skin-theme-clientpref-night .cmbox-protection {
background-color: #212112;   /* Gray-gold */
}
}
}


table.cmbox-protection {
/* Gray-gold */
background-color: #efefe1;
}


@media screen and (max-width: 720px) {
@media screen and ( prefers-color-scheme: dark) {
  table.cmbox {
html.skin-theme-clientpref-os .cmbox {
margin: 3px auto;
background-color: #0d1a27;    /* Default "notice" blue */
  }
}
html.skin-theme-clientpref-os .cmbox-speedy,
html.skin-theme-clientpref-os .cmbox-delete {
background-color: #300;    /* Pink */
}
html.skin-theme-clientpref-os .cmbox-content {
background-color: #331a00;   /* Orange */
}
html.skin-theme-clientpref-os .cmbox-style {
background-color: #332b00;    /* Yellow */
}
html.skin-theme-clientpref-os .cmbox-move {
background-color: #08001a;    /* Purple */
}
html.skin-theme-clientpref-os .cmbox-protection {
background-color: #212112;    /* Gray-gold */
}
}
}

Revision as of 07:06, 29 August 2025

/* {{pp|small=y}} */
.cmbox {
	margin: 3px 0;
	border-collapse: collapse;
	border: 1px solid #a2a9b1;
	background-color: #dfe8ff;    /* Default "notice" blue */
	box-sizing: border-box;
    /* necessary when embedded in other templates like [[:Category:Pending_AfC_submissions]] */
	color: var( --color-base ); 
}

.cmbox-speedy {
	border: 4px solid #b32424;    /* Red */
	background-color: #ffdbdb;    /* Pink */
}

.cmbox-delete {
	background-color: #ffdbdb;    /* Pink */
}

.cmbox-content {
	background-color: #ffe7ce;    /* Orange */
}

.cmbox-style {
	background-color: #fff9db;    /* Yellow */
}

.cmbox-move {
	background-color: #e4d8ff;    /* Purple */
}

.cmbox-protection {
	background-color: #efefe1;    /* Gray-gold */
}

.cmbox .mbox-text {
	border: none;
	/* @noflip */
	padding: 0.25em 0.9em;
	width: 100%;
}

.cmbox .mbox-image {
	border: none;
	/* @noflip */
	padding: 2px 0 2px 0.9em;
	text-align: center;
}

.cmbox .mbox-imageright {
	border: none;
	/* @noflip */
	padding: 2px 0.9em 2px 0;
	text-align: center;
}

/* An empty narrow cell */
.cmbox .mbox-empty-cell {
	border: none;
	padding: 0;
	width: 1px;
}

/* keep synced with each other type of message box as this isn't qualified */
.mbox-invalid-type {
	text-align: center;
}

@media (min-width: 720px) {
	.cmbox {
		margin: 3px 10%;
	}
}

/* flipped lightness in hsl space except the main cmbox is the main page blue */

@media screen {
    html.skin-theme-clientpref-night .cmbox {
		background-color: #0d1a27;    /* Default "notice" blue */
	}
	
	html.skin-theme-clientpref-night .cmbox-speedy,
	html.skin-theme-clientpref-night .cmbox-delete {
		background-color: #300;    /* Pink */
	}
	
	html.skin-theme-clientpref-night .cmbox-content {
		background-color: #331a00;    /* Orange */
	}
	
	html.skin-theme-clientpref-night .cmbox-style {
		background-color: #332b00;    /* Yellow */
	}
	
	html.skin-theme-clientpref-night .cmbox-move {
		background-color: #08001a;    /* Purple */
	}
	
	html.skin-theme-clientpref-night .cmbox-protection {
		background-color: #212112;    /* Gray-gold */
	}
}


@media screen and ( prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .cmbox {
		background-color: #0d1a27;    /* Default "notice" blue */
	}
	
	html.skin-theme-clientpref-os .cmbox-speedy,
	html.skin-theme-clientpref-os .cmbox-delete {
		background-color: #300;    /* Pink */
	}
	
	html.skin-theme-clientpref-os .cmbox-content {
		background-color: #331a00;    /* Orange */
	}
	
	html.skin-theme-clientpref-os .cmbox-style {
		background-color: #332b00;    /* Yellow */
	}
	
	html.skin-theme-clientpref-os .cmbox-move {
		background-color: #08001a;    /* Purple */
	}
	
	html.skin-theme-clientpref-os .cmbox-protection {
		background-color: #212112;    /* Gray-gold */
	}
}